<template>
  <div>
    <div :class="$style.balance_wrapper">
      <p :class="$style.balance__label">Current balance</p>
      <div :class="$style.balance__amount">
        <div :class="$style.balance__amount__money">
          {{ formattedBalance }}
        </div>
        <div :class="$style.balance__amount__trend">
          <span>{{ trend > 0 ? `+${trend}` : trend}}%</span>
        </div>
      </div>
      <div :class="$style.balance__pie_wrapper">
        <pie :percent="incomePercent"/>
      </div>
    </div>
  </div>
</template>

<style module>
.balance_wrapper {
  display: grid;
  grid-template-rows: 1fr 3fr;
  grid-template-columns: 4fr 1fr;
  grid-template-areas:
    "balanceLabel  balancePie"
    "balanceAmount balancePie";
  border: #fed698;
  background: #fed698;
  border-radius: 10px;
  box-shadow: 0px 33px 33px -22px rgba(254, 214, 152, 0.8);
  padding: 15px;
  max-height: 100px;
  margin-bottom: 20px;
}
.balance__label {
  grid-area: balanceLabel;
  margin: 0 10px;
  font-size: 0.9rem;
}
.balance__amount {
  grid-area: balanceAmount;
  margin: 10px;
  display: grid;
  grid-template-columns: 1fr 70px;
  align-content: center;
}
.balance__amount__money {
  font-weight: bold;
  font-size: 2.2rem;
}
.balance__amount__trend {
  display: grid;
  align-content: center;
  justify-content: center;
}
.balance__amount__trend span {
  background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 25%, rgba(255,255,255,0) 100%);
  border-radius: 15px 0 0 15px;
  padding: 2px 5px;
  font-size: 0.7rem;
}
.balance__pie_wrapper {
  grid-area: balancePie;
  display: grid;
  align-content: center;
  justify-content: center;
}

@media screen and (max-width: 400px) {
  .balance__amount__money {
    font-size: 2rem;
  }
}
</style>

<script>
export default {
  props: {
    balance: Number,
    currency: String,
    trend: Number,
    incomePercent: Number,
  },
  computed: {
    formattedBalance() {
      const formatter = new Intl.NumberFormat('ru', {
        style: 'currency',
        currency: this.currency,
      });
      return formatter.format(this.balance);
    },
  },
};
</script>